﻿@model AHCBL.Dto.User.OrderDto
@{
    ViewBag.Title = "Sell_apply";
    Layout = "~/Views/Shared/_Layout_Product.cshtml";
}
@Styles.Render("~/common/css/pages/purchase.css")

<div class="width1100">
    <div class="pTable">
        @if (Model != null && Model.tab2.Count != 0)
        {
            foreach (var item in Model.tab2)
            {
            <div class="way_box way1">
                <div class="member_box" style="text-align:center;">
                    <div class="m_box">
                        <div class="mbox on">
                            <p>@Html.DisplayFor(modelItem => item.name)</p>
                        </div>
                    </div>
                    <p class="info_line"></p>
                </div>

                <div class="info_box" style="text-align:center;">
                    <img src="@Html.DisplayFor(modelItem => item.img)" style="width:150px;">
                    @Html.Hidden("token", new { value = item.token })
                </div>

                <div class="infomation">
                    <ul>
                        <li class="li-apply"><span class="point">상품명 </span><span>@Html.DisplayFor(modelItem => item.name)</span></li>
                        <li class="li-apply"><span class="point">구매자</span><span>@Html.DisplayFor(modelItem => item.fullname)</span></li>
                        <li class="li-apply"><span class="point">HP</span><span>@Html.DisplayFor(modelItem => item.hp)</span></li>
                        <li class="li-apply"><span class="point">가격</span><span>@Html.DisplayFor(modelItem => item.price)</span></li>

                    </ul>

                    <ul>
                        <li class="li-apply"><span class="point">입금정보</span><span>@Html.DisplayFor(modelItem => item.acc_name)</span></li>
                    </ul>
                </div>

                <div class="info_btn">
                    <input class="btn btnOk" type="button" value="판매 확정" onclick="doAction(@Html.DisplayFor(modelItem => item.id));" />
                    <a href="~/Main" class="btnCa">취소</a>
                </div>
            </div>
        }
    }
    

</div>
<script>
    function doAction(id) {
        if (confirm($(".order-product-caption > h3").text() + " 상품을 판매 확정 하시겠습니까?")) {
            var buy_info = "";
            var token = $("#token").val();
            $.ajax({
                type: "POST",
                url: "/Order/Appv",
                data: "{'orderId':" + id + ",'buy_info':'" + buy_info + "','token':'" + token + "'}",
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (msg) {
                    if (msg.err == '0') {
                        alert(msg.errmsg);
                        //location.reload();
                        location.href = "/Order/Sell_list";
                    } else {
                        //alert(msg.errmsg);
                        location.href = "/Order/Sell_list";
                    }
                }
            });


        }
    }
</script>